Bug 91602 - WRITER: Crash on paste with Zoom - Page width
Summary: WRITER: Crash on paste with Zoom - Page width
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: high critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 tar...
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-05-25 09:52 UTC by Timur
Modified: 2017-06-09 22:13 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
console+bt with debug symbols (12.19 KB, text/plain)
2015-05-25 19:50 UTC, Julien Nabet
Details
Test file for crash on C&P (v2) (306.93 KB, application/vnd.oasis.opendocument.text)
2015-06-08 13:10 UTC, Carlos Rodriguez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-05-25 09:52:22 UTC
Copying and confirming report from Bug 91200 by Carlos Rodriguez:

Created attachment 115987 [details]
Test file for crash on C&P

Steps to reproduce:
1. Open the attached file
2. Select all from it (Ctrl+A)
3. Copy (Ctrl+C)
4. Create a new one and choose View -> Zoom - Page width
5. Paste (Ctrl+V)
6. Crash

If you choose "Entire page" on View -> Zoom and paste the same info, you don't get the Crash.

I've got this problem on:
Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: es-ES (es_ES.UTF-8)
Debian 8.

Got this bug also on the following versions but in these cases with a bigger file from a customer that I cannot upload here.

Versión: 4.4.3.2
Id. de compilación: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Configuración regional: es_ES

Versión: 4.3.7.2
Id. de compilación: 8a35821d8636a03b8bf4e15b48f59794652c68ba
Comment 1 Timur 2015-05-25 09:58:23 UTC
I will mark as a regression for the test file.
Comment 2 Julien Nabet 2015-05-25 19:50:57 UTC
Created attachment 116033 [details]
console+bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached console logs+bt with symbols
Comment 3 Carlos Rodriguez 2015-05-25 21:38:43 UTC
Ok, some more info. On the file attached, if I delete one of the footers called "Páxina á dereita2" (please don't confuse with other similar footers name), then I can C&P normally in any Zoom view.
Comment 4 Terrence Enger 2015-06-05 20:09:44 UTC
Working in the 50max bibisect repository I see from `git bisect bad` ...

    commit a5331612ef98bf0d2669cd3e433c9ab5a10c294f
    Author: Matthew Francis <mjay.francis@gmail.com>
    Date:   Wed May 27 17:56:25 2015 +0800

        source-hash-a272f5b7b30f356418ecf28eb95d066f081d1624
    
        commit a272f5b7b30f356418ecf28eb95d066f081d1624
        Author:     Tsutomu Uchino <hanya@apache.org>
        AuthorDate: Thu Jan 8 16:28:11 2015 +0000
        Commit:     Caolán McNamara <caolanm@redhat.com>
        CommitDate: Fri Jan 9 09:24:44 2015 +0000
    
            Resolves: #i63614# fix strange type mismatch when Iif function is used
    
            Second or later compilation uses value type returned by previous execution of code.
            Use the defined type as return value of the runtime function of Basic always.
    
            (cherry picked from commit 7470c682e136a4a89c1e9474bbc79b2d61f31048)
    
            Conflicts:
            	basic/inc/basic/sbxmeth.hxx
        	basic/inc/basic/sbxobj.hxx
        	basic/source/runtime/stdobj.cxx
        	basic/source/sbx/sbxobj.cxx
    
            Change-Id: I3064e8403286a9c1401ef658bf139bedeae11f17

    :040000 040000 1d0cb278b5c44abfe91d27cebd69209c7f05a642 d99d67c00585496295bb030ea1bdfd8da21ed0cd M	opt

and from `git bisect log` ...

    # bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
    # good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
    git bisect start 'latest' 'oldest'
    # bad: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
    git bisect bad 0c30a2c797b249d0cd804cb71554946e2276b557
    # good: [770ff0d1a74d2450c2decb349b62c5087e12c46b] source-hash-549b7fad48bb9ddcba7dfa92daea6ce917853a03
    git bisect good 770ff0d1a74d2450c2decb349b62c5087e12c46b
    # bad: [259e888083cf7697956bb7e5f2691e8153eadb4c] source-hash-1884c0bbd40f0ded41d7a1656cb64fb1f6368c36
    git bisect bad 259e888083cf7697956bb7e5f2691e8153eadb4c
    # bad: [ee7c82541a2e99f76af570d3faa897504149913a] source-hash-54defd1bd3359c95e45891c7294847d0cebca753
    git bisect bad ee7c82541a2e99f76af570d3faa897504149913a
    # bad: [66a2c077694c47af9c40b46f740eab2d59f15efb] source-hash-c7d23291ea9ae7a3a2c055b09fce9c29bb7f58d3
    git bisect bad 66a2c077694c47af9c40b46f740eab2d59f15efb
    # good: [2c50abc2f0b266825b28c7c63df7b97ae8e74f1b] source-hash-2ad35f36db9195c01fe4ccb428f6d9626fa5060c
    git bisect good 2c50abc2f0b266825b28c7c63df7b97ae8e74f1b
    # bad: [0e25a9f11c7338b9efdd3fd2fb63f45237f7952a] source-hash-201f99919253b370437d754137964d2757852079
    git bisect bad 0e25a9f11c7338b9efdd3fd2fb63f45237f7952a
    # good: [bd1d77aed0882b7b3b5efe899ec577653eeeb291] source-hash-9763b55eb946cf425220d26dab91bf220890b180
    git bisect good bd1d77aed0882b7b3b5efe899ec577653eeeb291
    # good: [3128f4162888e7e7a7a8267576a5f495d3cfaa43] source-hash-2f69e16c723aab48ad59d17397d8946ec0a48138
    git bisect good 3128f4162888e7e7a7a8267576a5f495d3cfaa43
    # good: [056bd9c6c9e51a5b4389ebb62de814165dd4a827] source-hash-89b5423c01ab4e4f05f8d73fe7826f64197abe41
    git bisect good 056bd9c6c9e51a5b4389ebb62de814165dd4a827
    # bad: [7ab76e5a9ac47aff94a569ca7285d415a35ea6c5] source-hash-b1620451b7d6f2230f71c7c2f1896525b85a3dd0
    git bisect bad 7ab76e5a9ac47aff94a569ca7285d415a35ea6c5
    # bad: [2c6110bdcf2e54f16880ed4b5550840b0d7b855f] source-hash-2e3655bb51785d14b5e5bd3b07e0b6ae2fe1f86b
    git bisect bad 2c6110bdcf2e54f16880ed4b5550840b0d7b855f
    # bad: [a5331612ef98bf0d2669cd3e433c9ab5a10c294f] source-hash-a272f5b7b30f356418ecf28eb95d066f081d1624
    git bisect bad a5331612ef98bf0d2669cd3e433c9ab5a10c294f
    # first bad commit: [a5331612ef98bf0d2669cd3e433c9ab5a10c294f] source-hash-a272f5b7b30f356418ecf28eb95d066f081d1624
Comment 5 Michael Stahl (CIB) 2015-06-05 22:40:20 UTC
i don't see what the commit from comment #4 has to do with the bug
(there's just one commit in the bibisect range?)

i'm getting this bibisect range but not obvious which commit would cause it?
7201fa0dddd7dd0352f69fd2b2b64efcb361ccad..000e24d22d2e18c006277ec24148c7252c9f678d

fixed on master
Comment 6 Commit Notification 2015-06-05 22:41:00 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=587006cac508616f486aea45e265a170bcccdc87

tdf#91602: sw: prevent recursive layout crash

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-05 22:42:25 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ae19cf8435d78bec75e1c4ea95da9f0aaf35b62&h=libreoffice-5-0

tdf#91602: sw: prevent recursive layout crash

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Terrence Enger 2015-06-06 14:55:09 UTC
I see that the crash has gone away betwee 2015-06-05 and 2015-06-06 in
the daily dbgutil bibisect repository and in the daily builds from
Win-x86@39.

Michael, further to comment 4:

Did you happen to save output from your `git log`?  I am planning to
put some ongoing effort into using the bibisect repositories.  If I am
doing it wrong, it would be good to fix that now.

Thanks,
Terry.
Comment 9 Terrence Enger 2015-06-06 15:30:23 UTC
I think I know where I went wrong in by attemp to bibisect:  mostly I
just accepted the result of the first paste operation in a version as
definitive w.r.t. to crashing or not.

Further experimentation this morning shows that the versions I
reported as "last good" and "first bad" both crash just sometimes.
Between those those two, I ran LibreOffice 7 times, did 10 paste
operations, and crashed the program 5 times.
Comment 10 Carlos Rodriguez 2015-06-08 13:10:02 UTC
Created attachment 116368 [details]
Test file for crash on C&P (v2)

This example file fails C&P only on
Version: 4.4.5.0.0+
Build ID: 7f605eb84c2b647a87b9bd96ca91c3170b3c84e6
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-06-08_11:05:57
Locale: es_ES.UTF-8
Comment 11 Commit Notification 2015-06-08 21:53:47 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=238e07ddca879e0951bef6391fdc5c3fc26bded5

tdf#91917 tdf#91602: avoid layout recursion differently

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-06-08 21:55:17 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73b303fc3693e7cdf457e617c252c10ef4620bd9&h=libreoffice-5-0

tdf#91917 tdf#91602: avoid layout recursion differently

It will be available in 5.0.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Timur 2015-06-09 10:05:12 UTC
Attachment 115987 [details] reproduced in LO 5.0 but attachment 116368 [details] reproduced in LO 3.4., so I'll mark version as 3.4.
Verified.
Comment 14 Michael Stahl (CIB) 2015-06-09 11:10:16 UTC
thanks for the second attachment, that one crashes in OOo 3.4 beta already
but no crash in OOo 3.3.
Comment 15 Commit Notification 2015-06-09 13:04:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd46b1994b14a5f5da822d6e68a7b907af0b53bb&h=libreoffice-4-4

tdf#91602: sw: prevent recursive layout crash

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Robinson Tryon (qubit) 2015-12-17 09:12:43 UTC Comment hidden (obsolete)